package ru.yandex.autotests.direct.db.steps.base;

import ru.yandex.autotests.direct.db.configuration.DBInfo;

/*
* todo javadoc
*/
public abstract class BasePpcDictSteps extends BaseDbSteps {

    @Override
    protected String getUrl() {
        DBInfo res = getContext().getConfig().getConfigs().get("ppcdict");
        if(res == null) {
            throw new DirectDbStepsException("Не удалось получить конфигурацию баз для среды");
        }
        return  "jdbc:mysql://" + res.getHost() + ":" + res.getPort() + "/ppcdict";
    }
}
